Bug 613154 (CVE-2010-2497)

Summary: CVE-2010-2497 freetype: integer underflow vulnerability
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: behdad, bressers, fonts-bugs, kevin, mkasik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100609,reported=20100702,source=vendor-sec,impact=important,cvss2=7.5/AV:N/AC:L/Au:N/C:P/I:P/A:P,rhel-6/freetype=affected,fedora-all/freetype=affected,cwe=CWE-190->CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-29 15:05:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 613299    
Bug Blocks:    

Description Vincent Danen 2010-07-09 20:32:28 UTC
Robert Swiecki reported  an integer overflow flaw in freetype with how it handles glyphs.  This could cause applications linked against freetype to crash or, possibly, lead to the execution of arbitrary code if an attacker were able to get a victim to load a malicious font file.

The affected code is not present in Red Hat Enterprise Linux 5 (freetype 2.2.1).

This issue has been given the name CVE-2010-2497.

Upstream bug reports:

http://savannah.nongnu.org/bugs/index.php?30082
http://savannah.nongnu.org/bugs/index.php?30083

Upstream commit that fixes the issue:

http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=7d3d2cc4fef72c6be9c454b3809c387e12b44cfc


Statement:

Not vulnerable. This issue did not affect the versions of freetype as shipped with Red Hat Enterprise Linux 3, 4, or 5.

Comment 2 Vincent Danen 2010-07-10 16:01:59 UTC
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 613299]

Comment 5 Vincent Danen 2010-07-15 20:43:30 UTC
Upstream has released 2.4.0 to correct this issue:

http://lists.nongnu.org/archive/html/freetype/2010-07/msg00001.html